Create Custom Profile
Create a new custom profile definition
Example: GET /api/alerts/{id}
Request
URI
POST
https://{api_host}/suite-api/api/resources/profiles
COPY
Request Body
The custom profile definition
custom-profile
of type(s)
application/json
Required
Show optional properties
{
"custom-profile-metrics": [
{
"metric": "string",
"unit": "string",
"value": "number"
}
],
"name": "string",
"objectType": {
"adapterKind": "string",
"resourceKind": "string"
}
}
"{\n \"name\" : \"Sample Custom Profile\",\n \"description\" : \"Description of Custom Profile\",\n \"objectType\" : {\n \"adapterKind\" : \"VMWARE\",\n \"resourceKind\" : \"VirtualMachine\"\n },\n \"custom-profile-metrics\" : [ {\n \"metric\" : \"cpu\",\n \"value\" : 99.99,\n \"unit\" : \"mhz\"\n }, {\n \"metric\" : \"mem-alloc\",\n \"value\" : 77.77,\n \"unit\" : \"kb\"\n } ]\n}"
array of
object
custom-profile-metrics
Required
Collection of profile metrics
string
description
Optional
The description of custom profile
string As uuid
As uuid
id
Optional
The identifier of custom profile
string
name
Required
The name of custom profile
object
objectType
Required
Consumer of custom profile
Responses
201
The newly created custom profile
Returns
custom-profile
of type(s)
application/json
"No Custom Example is Available"
array of
object
custom-profile-metrics
Required
Collection of profile metrics
string
description
Optional
The description of custom profile
string As uuid
As uuid
id
Optional
The identifier of custom profile
string
name
Required
The name of custom profile
object
objectType
Required
Consumer of custom profile
404
No Alert with the specified identifier is found
Operation doesn't return any data structure
500
Error occurred while retrieving the Alert with the specified identifier
Operation doesn't return any data structure
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"custom-profile-metrics":["object"],"name":"string","objectType":"object"}' https://{api_host}/suite-api/api/resources/profiles
Resources Operations
GET
Get Resources
PUT
Update Resource
POST
Create Resource Using Adapter Kind
POST
Create Resource Using Adapter Instance
DELETE
Delete Resources
POST
Get Resources Relationships
DELETE
Delete Custom Datacenters
GET
Get Custom Datacenters
POST
Create Custom Datacenter
PUT
Update Custom Datacenter
GET
Get Custom Datacenter
GET
Get Custom Groups
POST
Create Custom Group
PUT
Modify Custom Group
GET
Get Group Types
POST
Add Group Type
DELETE
Delete Group Type
DELETE
Delete Custom Group
GET
Get Custom Group
GET
Get Custom Group Members
DELETE
Unmark Resources As Being Maintained
PUT
Mark Resources As Being Maintained
PUT
Start Monitoring Resources
Deprecated
PUT
Stop Monitoring Resources
Deprecated
GET
Get Custom Profiles
POST
Create Custom Profile
PUT
Modify Custom Profile
DELETE
Delete Custom Profile
GET
Get Custom Profile
GET
Get Resource Properties List
POST
Add Resources Properties
POST
Add Resources Properties Using Adapter Kind
POST
Query Latest Properties Of Resources
POST
Get Matching Resources
GET
Get Stat Keys Of Resources
GET
Get Stats Of Resources
POST
Add Stats For Resources
POST
Add Stats For Resources Using Push Adapter Kind
POST
Get Stats And DT For Resources
GET
Get Latest Stats Of Resources
POST
Query Latest Stats Of Resources
POST
Get Stats For Resources
GET
Get Top N Stats Of Resources